<?xml version="1.0"?>
<!--
This file contains information related to printer capabilities and features.  It is reccommended
that this file NOT be edited directly, but used in conjunction with HP's Web JetAdmin printer
installation utility or with the HP Printing System Customization Utility contained on the
CDROM that shipped with the product.

Editing this file by hand may result in unexpected feature settings in the printer driver UI.
-->
<device>
    <software>
        <component>
            dmc_driver
            <component_header>
                <config_file>hplj4200.cfg</config_file>
                <config_file_version>1.0.0.22</config_file_version>
                <!-- Sept 24, 2003 -->
                <config_timestamp/>
                <config_version>1.0</config_version>
                <!-- Resource DLL Identifier-->
                <component_resource>hpbcfgre.dll</component_resource>
            </component_header>
            <!-- Pre-Configuration Settings Stored in <Current> Element -->
            <current>
                <physical/>
                <printing/>
                <custom/>
            </current>
            <factory>
                <physical resource_id="18">
                    <!-- The bundles feature needs to be first in the physical features list
                         because of a defect found when exporting from the driver.  If features
                         with forced constraints are not in the right order, there is good
                         chance that the forced item macro will cause an unwanted change to
                         the feature that is being forced to change. -->
                    <!-- Bundles -->
                    <feature typical="TRUE">
                        Bundles
                        <current_option>HP LaserJet 4200</current_option>
                        <option>
                            HP LaserJet 4200
                            <!-- No Additional Hardware -->
                            <!-- Force all installed accessories back to default! -->
                            <constraint>Bundle_Memory_Default</constraint>
                            <constraint>Bundle_Duplex_Unit_Default</constraint>
                            <constraint>Bundle_Tray3_Default</constraint>
                            <constraint>Show_500Stapler_Output_bin</constraint>
                            <constraint>Bundle_AccessoryOutputBins_Default</constraint>
                            <constraint>Show_Input_Trays_For_Bundle</constraint>
                            <constraint>Show_Memory_Options</constraint>
                            <constraint>Show_Envelope_Feeder</constraint>
                            <constraint>Bundle_EnvelopeFeeder_NotInstalled</constraint>
                            <constraint>Disable_Mopier</constraint>
                            <constraint>Enable_JobStorage</constraint>
                        </option>
                        <option>
                            HP LaserJet 4200N
                            <!-- Memory to 64Mb -->
                            <!-- Set Duplex and OPS back to Default-->
                            <!-- Set AccessoryOutputBins back to default -->
                            <constraint>Bundle_Memory_64_Set</constraint>
                            <constraint>Bundle_Duplex_Unit_Default</constraint>
                            <constraint>Bundle_Tray3_Default</constraint>
                            <constraint>Show_500Stapler_Output_bin</constraint>
                            <constraint>Bundle_AccessoryOutputBins_Default</constraint>
                            <constraint>Show_Input_Trays_For_Bundle</constraint>
                            <constraint>Show_Memory_Options</constraint>
                            <constraint>Show_Envelope_Feeder</constraint>
                            <constraint>Bundle_EnvelopeFeeder_NotInstalled</constraint>
                            <constraint>Enable_Mopier</constraint>
                            <constraint>Enable_JobStorage</constraint>
                        </option>
                        <option>
                            HP LaserJet 4200TN
                            <!-- Memory to 64Mb -->
                            <!-- Tray3_500 enabled in OPS -->
                            <!-- Set DUplex Unit back to Default -->
                            <!-- Set AccessoryOutputBins back to default -->
                            <constraint>Bundle_Memory_64_Set</constraint>
                            <constraint>Bundle_OPS_Tray_500_Set</constraint>
                            <constraint>Bundle_Duplex_Unit_Default</constraint>
                            <constraint>Show_500Stapler_Output_bin</constraint>
                            <constraint>Bundle_AccessoryOutputBins_Default</constraint>
                            <constraint>Show_Input_Trays_For_Bundle</constraint>
                            <constraint>Show_Memory_Options</constraint>
                            <constraint>Show_Envelope_Feeder</constraint>
                            <constraint>Bundle_EnvelopeFeeder_NotInstalled</constraint>
                            <constraint>Enable_Mopier</constraint>
                            <constraint>Enable_JobStorage</constraint>
                        </option>
                        <option>
                            HP LaserJet 4200DTN
                            <!-- Memory to 64Mb -->
                            <!-- Tray3_500 enabled in OPS -->
                            <!-- DuplexUnit installed -->
                            <!-- Set AccessoryOutputBins back to default -->
                            <constraint>Bundle_Memory_64_Set</constraint>
                            <constraint>Bundle_OPS_Tray_500_Set</constraint>
                            <constraint>Bundle_DuplexUnit_Set</constraint>
                            <constraint>Show_500Stapler_Output_bin</constraint>
                            <constraint>Bundle_AccessoryOutputBins_Default</constraint>
                            <constraint>Show_Input_Trays_For_Bundle</constraint>
                            <constraint>Show_Memory_Options</constraint>
                            <constraint>Show_Envelope_Feeder</constraint>
                            <constraint>Bundle_EnvelopeFeeder_NotInstalled</constraint>
                            <constraint>Enable_Mopier</constraint>
                            <constraint>Enable_JobStorage</constraint>
                        </option>
                        <option>
                            HP LaserJet 4200DTNS
                            <!-- Memory to 64Mb -->
                            <!-- Tray3_500 enabled in OPS -->
                            <!-- DuplexUnit installed -->
                            <!-- Q2442 (500Stacker) Installed-->
                            <constraint>Bundle_Memory_64_Set</constraint>
                            <constraint>Bundle_OPS_Tray_500_Set</constraint>
                            <constraint>Bundle_DuplexUnit_Set</constraint>
                            <constraint>Show_500Stapler_Output_bin</constraint>
                            <constraint>Bundle_Stacker_Set</constraint>
                            <constraint>Show_Input_Trays_For_Bundle</constraint>
                            <constraint>Show_Memory_Options</constraint>
                            <constraint>Show_Envelope_Feeder</constraint>
                            <constraint>Bundle_EnvelopeFeeder_NotInstalled</constraint>
                            <constraint>Enable_Mopier</constraint>
                            <constraint>Enable_JobStorage</constraint>
                        </option>
                        <option>
                            HP LaserJet 4200DTNSL
                            <!-- Memory to 64Mb -->
                            <!-- Tray3_500 enabled in OPS -->
                            <!-- DuplexUnit installed -->
                            <!-- Q2443 (Stapler/Stacker) Installed-->
                            <constraint>Bundle_Memory_64_Set</constraint>
                            <constraint>Bundle_OPS_Tray_500_Set</constraint>
                            <constraint>Bundle_DuplexUnit_Set</constraint>
                            <constraint>Show_500Stapler_Output_bin</constraint>
                            <constraint>Bundle_Stapler_Stacker_Set</constraint>
                            <constraint>Show_Input_Trays_For_Bundle</constraint>
                            <constraint>Show_Memory_Options</constraint>
                            <constraint>Show_Envelope_Feeder</constraint>
                            <constraint>Bundle_EnvelopeFeeder_NotInstalled</constraint>
                            <constraint>Enable_Mopier</constraint>
                            <constraint>Enable_JobStorage</constraint>
                        </option>
                        <option>
                            HP LaserJet 4200L
                            <!-- No Additional Hardware -->
                            <!-- Force all installed accessories back to default! -->
                            <constraint>Bundle_Memory_Default</constraint>
                            <constraint>Bundle_Duplex_Unit_Default</constraint>
                            <constraint>Bundle_Tray3_Default</constraint>
                            <constraint>Hide_500Stapler_Output_bin</constraint>
                            <constraint>Bundle_AccessoryOutputBins_Default</constraint>
                            <constraint>Bundle_EnvelopeFeeder_NotInstalled</constraint>
                            <constraint>Hide_Input_Trays_For_Bundle</constraint>
                            <constraint>Hide_Memory_Options</constraint>
                            <constraint>Hide_Envelope_Feeder</constraint>
                            <constraint>Disable_Mopier</constraint>
                            <constraint>Enable_JobStorage</constraint>
                        </option>
                        <option>
                            HP LaserJet 4200Ln
                            <!-- No Additional Hardware -->
                            <!-- Force all installed accessories back to default! -->
                            <constraint>Bundle_Memory_Default</constraint>
                            <constraint>Bundle_Duplex_Unit_Default</constraint>
                            <constraint>Bundle_Tray3_Default</constraint>
                            <constraint>Hide_500Stapler_Output_bin</constraint>
                            <constraint>Bundle_AccessoryOutputBins_Default</constraint>
                            <constraint>Bundle_EnvelopeFeeder_NotInstalled</constraint>
                            <constraint>Hide_Input_Trays_For_Bundle</constraint>
                            <constraint>Hide_Memory_Options</constraint>
                            <constraint>Hide_Envelope_Feeder</constraint>
                            <constraint>Disable_Mopier</constraint>
                            <constraint>Enable_JobStorage</constraint>
                        </option>
                        <option>
                            HP LaserJet 4200Lvn
                            <!-- No Additional Hardware -->
                            <!-- Force all installed accessories back to default! -->
                            <constraint>Bundle_Memory_Default</constraint>
                            <constraint>Bundle_Duplex_Unit_Default</constraint>
                            <constraint>Bundle_Tray3_Default</constraint>
                            <constraint>Hide_500Stapler_Output_bin</constraint>
                            <constraint>Bundle_AccessoryOutputBins_Default</constraint>
                            <constraint>Bundle_EnvelopeFeeder_NotInstalled</constraint>
                            <constraint>Hide_Input_Trays_For_Bundle</constraint>
                            <constraint>Hide_Memory_Options</constraint>
                            <constraint>Hide_Envelope_Feeder</constraint>
                            <constraint>Disable_Mopier</constraint>
                            <constraint>Enable_JobStorage</constraint>
                        </option>
                    </feature>
                    <!-- Typical Physical Features -->
                    <!-- PrinterMemory -->
                    <feature resource_id="787" caption_id="10052" typical="TRUE">
                        Memory
                        <current_option>48</current_option>
                        <option>
                            48
                            <constraint>Disable_Mopier</constraint>
                        </option>
                        <option>64</option>
                        <option>80</option>
                        <option>96</option>
                        <option>128</option>
                        <option>160</option>
                        <option>192</option>
                        <option>224</option>
                        <option>256</option>
                        <option>288</option>
                        <option>
                            320
                            <constraint>Bundle_should_not_be_Lite</constraint>
                        </option>
                        <option>
                            352
                            <constraint>Bundle_should_not_be_Lite</constraint>
                        </option>
                        <option>
                            384
                            <constraint>Bundle_should_not_be_Lite</constraint>
                        </option>
                        <option>
                            416
                            <constraint>Bundle_should_not_be_Lite</constraint>
                        </option>
                    </feature>
                    <!-- AccessoryOutputBins -->
                    <feature resource_id="500" caption_id="10049" typical="TRUE">
                        AccessoryOutputBins
                        <current_option>NotInstalled</current_option>
                        <option resource_id="2">
                            NotInstalled
                            <constraint>Set_OutputBin_Auto</constraint>
                        </option>
                        <option resource_id="507">
                            Q2442
                            <constraint>Set_OutputBin_Auto</constraint>
                            <!-- 500Stacker -->
                        </option>
                        <option resource_id="508">
                            Q2443
                            <constraint>Set_OutputBin_Auto</constraint>
                            <!-- 500Stapler -->
                        </option>
                    </feature>
                    <!-- Envelope Feeder -->
                    <feature resource_id="417" caption_id="10046" typical="TRUE">
                        EnvFeeder
                        <current_option>NotInstalled</current_option>
                        <option resource_id="2">
                            NotInstalled
                            <constraint>Set_InputBin_PrinterSelect</constraint>
                        </option>
                        <option resource_id="1">
                            Installed
                            <constraint>Bundle_should_not_be_Lite</constraint>
                        </option>
                    </feature>
                    <!-- OptionalPaperSource -->
                    <feature resource_id="710" caption_id="10086" typical="TRUE">
                        OptionalPaperSources
                        <current_option>None</current_option>
                        <option resource_id="8">
                            None
                            <constraint>Set_InputBin_PrinterSelect</constraint>
                            <constraint>OPS_None_Set</constraint>
                        </option>
                        <option resource_id="725">
                            Q2440
                            <!-- Tray_500 -->
                            <!-- Set correct tray to Installed -->
                            <constraint>Set_InputBin_PrinterSelect</constraint>
                            <constraint>OPS_Tray_500_Set</constraint>
                        </option>
                        <option resource_id="713">
                            Q2444
                            <!-- Tray_1500 -->
                            <constraint>Set_InputBin_PrinterSelect</constraint>
                            <constraint>OPS_Tray_1500_Set</constraint>
                            <constraint>Bundle_should_not_be_Lite</constraint>
                        </option>
                        <option resource_id="726">
                            Q2440_Q2440
                            <!-- 2_x_Tray_500 -->
                            <constraint>Set_InputBin_PrinterSelect</constraint>
                            <constraint>OPS_Tray3_500_Set</constraint>
                            <constraint>OPS_Tray4_500_Set</constraint>
                            <constraint>Bundle_should_not_be_Lite</constraint>
                        </option>
                        <option resource_id="714">
                            Q2440_Q2444
                            <!-- 2_x_Tray_500_1500 -->
                            <constraint>Set_InputBin_PrinterSelect</constraint>
                            <constraint>OPS_Tray3_500_Set</constraint>
                            <constraint>OPS_Tray4_1500_Set</constraint>
                            <constraint>Bundle_should_not_be_Lite</constraint>
                        </option>
                    </feature>
                    <!-- PrinterHardDisk -->
                    <feature resource_id="663" caption_id="10050" typical="TRUE">
                        PrinterHardDisk
                        <current_option>NotInstalled</current_option>
                        <option resource_id="1">
                            Installed
                        </option>
                        <option resource_id="2">
                            NotInstalled
                        </option>
                    </feature>
                    <!-- DuplexUnit -->
                    <feature resource_id="662" caption_id="10048" typical="TRUE">
                        DuplexUnit
                        <current_option>NotInstalled</current_option>
                        <option resource_id="1">
                            Installed
                        </option>
                        <option resource_id="2">
                            NotInstalled
                            <constraint>DuplexUnit_Duplex</constraint>
                        </option>
                    </feature>
                    <!-- Advanced Features -->
                    <feature editable="FALSE">
                        Tray3
                        <current_option>NotInstalled</current_option>
                        <option>
                            NotInstalled
                        </option>
                        <option>
                            Tray3_500
                        </option>
                        <option>
                            Tray3_1500
                        </option>
                    </feature>
                    <!-- Tray4 -->
                    <feature editable="FALSE">
                        Tray4
                        <current_option>NotInstalled</current_option>
                        <option>
                            NotInstalled
                        </option>
                        <option>
                            Tray4_500
                            <constraint>Tray4_500_Tray3</constraint>
                        </option>
                        <option>
                            Tray4_1500
                            <constraint>Tray4_1500_Tray3</constraint>
                        </option>
                    </feature>
                    <!-- Removed from cfg file because the default option
                            will not always be the same.

                            ScaleFromLargePaper
                    <feature resource_id="1187">
                        ScaleFromLargePaper
                        <current_option>FALSE</current_option>
                        <option resource_id="10">
                            TRUE
                        </option>
                        <option resource_id="9">
                            FALSE
                        </option>
                    </feature> -->
                    <!-- DeviceIsMopier -->
                    <feature resource_id="668" caption_id="10100" typical="TRUE">
                        DeviceIsMopier
                        <current_option>NotInstalled</current_option>
                        <option resource_id="1">
                            Installed
                            <constraint>DeviceIsMopier_TRUE_Memory_64</constraint>
                        </option>
                        <option resource_id="2">
                            NotInstalled
                        </option>
                    </feature>
                    <!-- JobRetention -->
                    <feature resource_id="997" caption_id="10051" typical="TRUE">
                        JobRetention
                        <current_option>Enabled</current_option>
                        <option resource_id="6">
                            Enabled
                        </option>
                        <option resource_id="7">
                            Disabled
                        </option>
                    </feature>
                </physical>
                <!-- Printing Features -->
                <printing resource_id="17">
                    <!-- The OuputBin feature needs be defined before the StaplerChoice feature
                         because of the foced items / export issue decribed above with the
                         bundles feature. -->
                    <!-- OutputBin -->
                    <feature resource_id="450" caption_id="10039" typical="TRUE" lock="FALSE">
                        OutputBin
                        <current_option>Auto</current_option>
                        <option resource_id="425" editable="TRUE">
                            Auto
                            <constraint>OutputBin_Top_StaplerChoice_Dummy</constraint>
                            <constraint>OutputBin_Top_StaplerChoice</constraint>
                        </option>
                        <option resource_id="452">
                            Top
                            <constraint>OutputBin_Top_StaplerChoice_Dummy</constraint>
                            <constraint>OutputBin_Top_StaplerChoice</constraint>
                        </option>
                        <option resource_id="456">
                            Stacker
                            <constraint>OutputBin_Stacker</constraint>
                            <constraint>OutputBin_Stacker_PaperSize</constraint>
                            <constraint>OutputBin_Stacker_MediaType</constraint>
                            <constraint>OutputBin_Stacker_StaplerChoice_Dummy</constraint>
                            <constraint>OutputBin_Stacker_StaplerChoice</constraint>
                        </option>
                        <option resource_id="451">
                            Stacker-Stapled
                            <constraint>OutputBin_Stacker_Stapled</constraint>
                            <constraint>OutputBin_Stacker_Stapled_PaperSize</constraint>
                            <constraint>OutputBin_Stacker_Stapled_MediaType</constraint>
                            <constraint>OutputBin_Stacker_Stapled_StaplerChoice_Dummy</constraint>
                            <constraint>OutputBin_Stacker_Stapled_StaplerChoice</constraint>
                            <constraint>OutputBin_Stacker_Stapled_BookletPrintingChoice</constraint>
                        </option>
                    </feature>
                    <!-- Typical Features - REVERSE ORDER FROM DISPLAY -->
                    <feature resource_id="1050" caption_id="10040" typical="TRUE">
                        StaplerChoice
                        <current_option>FALSE</current_option>
                        <option resource_id="10">
                            TRUE
                            <constraint>StaplerChoice_TRUE_StaplerChoice_Dummy</constraint>
                            <feature editable="FALSE">
                                Stapling
                                <current_option>1parallel</current_option>
                                <option>1parallel</option>
                            </feature>
                        </option>
                        <option resource_id="9">
                            FALSE
                            <constraint>StaplerChoice_FALSE_StaplerChoice_Dummy</constraint>
                        </option>
                    </feature>
                    <!-- InputBin -->
                    <feature resource_id="400" caption_id="10018" typical="TRUE" lock="FALSE">
                        InputBin
                        <current_option>PrinterSelect</current_option>
                        <option resource_id="430">
                            PrinterSelect
                        </option>
                        <option resource_id="401">
                            ManualFeed
                        </option>
                        <option resource_id="408">
                            Tray1
                        </option>
                        <option resource_id="409">
                            Tray2
                            <constraint>InputBin_Tray2_Size</constraint>
                            <constraint>InputBin_Tray2_Type</constraint>
                        </option>
                        <option resource_id="446">
                            Tray3_500
                            <constraint>InputBin_Tray3_500</constraint>
                            <constraint>InputBin_Tray3_500_Size</constraint>
                            <constraint>InputBin_Tray3_Type</constraint>
                        </option>
                        <option resource_id="447">
                            Tray3_1500
                            <constraint>InputBin_Tray3_1500</constraint>
                            <constraint>InputBin_Tray3_1500_Size</constraint>
                            <constraint>InputBin_Tray3_Type</constraint>
                        </option>
                        <option resource_id="448">
                            Tray4_500
                            <constraint>InputBin_Tray4_500</constraint>
                            <constraint>InputBin_Tray4_500_Size</constraint>
                            <constraint>InputBin_Tray4_Type></constraint>
                        </option>
                        <option resource_id="449">
                            Tray4_1500
                            <constraint>InputBin_Tray4_1500</constraint>
                            <constraint>InputBin_Tray4_1500_Size</constraint>
                            <constraint>InputBin_Tray4_Type></constraint>
                        </option>
                        <option resource_id="417">
                            EnvFeed
                            <constraint>InputBin_EnvFeed_Hardware</constraint>
                            <constraint>InputBin_EnvFeed</constraint>
                            <constraint>InputBin_EnvFeed_Size</constraint>
                            <constraint>InputBin_EnvFeed_Type></constraint>
                        </option>
                    </feature>
                    <!-- MediaType -->
                    <feature resource_id="550" caption_id="10017" typical="TRUE" lock="FALSE">
                        MediaType
                        <current_option>AUTO</current_option>
                        <option resource_id="425">
                            AUTO
                        </option>
                        <option resource_id="566">
                            BOND
                        </option>
                        <option resource_id="570">
                            CARDSTOCK
                            <constraint>MediaType_CARDSTOCK_Duplex</constraint>
                            <constraint>MediaType_StackerStapler</constraint>
                        </option>
                        <option resource_id="568">
                            COLOR
                        </option>
                        <option resource_id="565">
                            LABELS
                            <constraint>MediaType_LABELS_Duplex</constraint>
                            <constraint>MediaType_LABELS_InputBin</constraint>
                            <constraint>MediaType_LABELS_OutputBin</constraint>
                            <constraint>MediaType_StackerStapler</constraint>
                        </option>
                        <option resource_id="561">
                            LETTERHEAD
                        </option>
                        <option resource_id="559">
                            PLAIN
                        </option>
                        <option resource_id="560">
                            PREPRINTED
                        </option>
                        <option resource_id="564">
                            PREPUNCHED
                        </option>
                        <option resource_id="567">
                            RECYCLED
                        </option>
                        <option resource_id="562">
                            TRANSPARENCY
                            <constraint>MediaType_TRANSPARENCY_Duplex</constraint>
                            <constraint>MediaType_TRANSPARENCY_InputBin</constraint>
                            <constraint>MediaType_TRANSPARENCY_OutputBin</constraint>
                            <constraint>MediaType_StackerStapler</constraint>
                        </option>
                        <option resource_id="555">
                            ROUGH
                        </option>
                        <option resource_id="551">
                            ENVELOPE
                            <constraint>MediaType_ENVELOPE_Duplex</constraint>
                            <constraint>MediaType_ENVELOPE_OutputBin</constraint>
                            <constraint>MediaType_StackerStapler</constraint>
                        </option>
                    </feature>
                    <!-- StaplerChoice -->
                    <!-- PaperSize-->
                    <feature resource_id="200" caption_id="10012" typical="TRUE">
                        PaperSize
                        <current_option>LETTER</current_option>
                        <option resource_id="209">
                            LETTER
                            <constraint>PaperSize_LETTER_InputBin</constraint>
                            <constraint>PaperSize_BookletPrintingChoice_Set</constraint>
                        </option>
                        <option resource_id="213">
                            LEGAL
                            <constraint>PaperSize_LEGAL_InputBin</constraint>
                            <constraint>PaperSize_BookletPrintingChoice_Set</constraint>
                        </option>
                        <option resource_id="215">
                            EXECUTIVE
                            <constraint>PaperSize_EXECUTIVE_InputBin</constraint>
                            <constraint>PaperSize_EXECUTIVE_OutputBin</constraint>
                            <constraint>PaperSize_BookletPrintingChoice_Set</constraint>
                        </option>
                        <option resource_id="217">
                            A4
                            <constraint>PaperSize_A4_InputBin</constraint>
                            <constraint>PaperSize_BookletPrintingChoice_Set</constraint>
                        </option>
                        <option resource_id="219">
                            A5
                            <constraint>PaperSize_A5_InputBin</constraint>
                            <constraint>PaperSize_A5_OutputBin</constraint>
                            <constraint>PaperSize_BookletPrintingChoice_Set</constraint>
                        </option>
                        <option resource_id="228">
                            ENV_10
                            <constraint>PaperSize_ENV_InputBin</constraint>
                            <constraint>PaperSize_ENV_Duplex</constraint>
                            <constraint>PaperSize_ENV_OutputBin</constraint>
                        </option>
                        <option resource_id="236">
                            ENV_C5
                            <constraint>PaperSize_ENV_InputBin</constraint>
                            <constraint>PaperSize_ENV_Duplex</constraint>
                            <constraint>PaperSize_ENV_OutputBin</constraint>
                        </option>
                        <option resource_id="242">
                            ENV_B5
                            <constraint>PaperSize_ENV_InputBin</constraint>
                            <constraint>PaperSize_ENV_Duplex</constraint>
                            <constraint>PaperSize_ENV_OutputBin</constraint>
                        </option>
                        <option resource_id="235">
                            ENV_DL
                            <constraint>PaperSize_ENV_InputBin</constraint>
                            <constraint>PaperSize_ENV_Duplex</constraint>
                            <constraint>PaperSize_ENV_OutputBin</constraint>
                        </option>
                        <option resource_id="245">
                            ENV_MONARCH
                            <constraint>PaperSize_ENV_InputBin</constraint>
                            <constraint>PaperSize_ENV_Duplex</constraint>
                            <constraint>PaperSize_ENV_OutputBin</constraint>
                        </option>
                        <option resource_id="202">
                            B5
                            <constraint>PaperSize_B5_InputBin</constraint>
                            <constraint>PaperSize_B5_OutputBin</constraint>
                            <constraint>PaperSize_BookletPrintingChoice_Set</constraint>
                        </option>
                        <option resource_id="221">
                            B5_JIS
                            <constraint>PaperSize_B5_JIS_InputBin</constraint>
                            <constraint>PaperSize_B5_JIS_OutputBin</constraint>
                            <constraint>PaperSize_BookletPrintingChoice_Set</constraint>
                        </option>
                        <option resource_id="274">
                            DBL_JAPANESE_POSTCARD
                            <constraint>PaperSize_DBL_JAPANESE_POSTCARD_InputBin</constraint>
                            <constraint>PaperSize_DBL_JAPANESE_POSTCARD_Duplex</constraint>
                            <constraint>PaperSize_DBL_JAPANESE_POSTCARD_OutputBin</constraint>
                        </option>
                        <option resource_id="327">
                            EXECUTIVE_JIS
                            <constraint>PaperSize_EXECUTIVE_JIS_InputBin</constraint>
                            <constraint>PaperSize_EXECUTIVE_JIS_OutputBin</constraint>
                            <constraint>PaperSize_BookletPrintingChoice_Set</constraint>
                        </option>
                        <option resource_id="208">
                            16K
                            <constraint>PaperSize_16K_InputBin</constraint>
                            <constraint>PaperSize_16K_OutputBin</constraint>
                            <constraint>PaperSize_BookletPrintingChoice_Set</constraint>
                        </option>
                    </feature>
                    <!-- Print Quality -->
                    <feature resource_id="760" caption_id="10019" typical="TRUE">
                        PrintQuality
                        <current_option>Default</current_option>
                        <option resource_id="3">
                            Default
                        </option>
                        <option resource_id="768">
                            Best
                        </option>
                        <option resource_id="769">
                            Normal
                        </option>
                        <option resource_id="" editable="FALSE">
                            Custom
                        </option>
                    </feature>
                    <!-- Orientation -->
                    <feature resource_id="850" caption_id="10013" typical="TRUE">
                        Orientation
                        <current_option>Portrait</current_option>
                        <option resource_id="851">
                            Portrait
                        </option>
                        <option resource_id="852">
                            Landscape
                        </option>
                        <option resource_id="853">
                            RotatedPortrait
                        </option>
                        <option resource_id="854">
                            RotatedLandscape
                        </option>
                    </feature>
                    <!-- Duplex -->
                    <feature resource_id="1000" caption_id="10014" typical="TRUE" lock="FALSE">
                        Duplex
                        <current_option>FALSE</current_option>
                        <option resource_id="10">
                            TRUE
                            <constraint>Duplex_DuplexUnit</constraint>
                            <constraint>Duplex_MediaType</constraint>
                            <constraint>Duplex_PaperSize</constraint>
                            <constraint>Duplex_PaperSize_ABS</constraint>
                            <!-- DuplexEdge -->
                            <feature resource_id="1001" caption_id="10063" typical="TRUE">
                                DuplexEdge
                                <current_option>LongEdge</current_option>
                                <option resource_id="1002">
                                    LongEdge
                                </option>
                                <option resource_id="1003">
                                    ShortEdge
                                </option>
                            </feature>
                        </option>
                        <option resource_id="9">
                            FALSE
                            <constraint>Duplex_OFF_BookletPrintingChoice</constraint>
                        </option>
                    </feature>
                    <!-- Advanced Features - SAME ORDER AS DISPLAY -->
                    <!-- PageOrder -->
                    <feature resource_id="1130" caption_id="10015">
                        PageOrder
                        <current_option>FrontToBack</current_option>
                        <option resource_id="1135">
                            FrontToBack
                        </option>
                        <option resource_id="1136">
                            BackToFront
                        </option>
                    </feature>
                    <!-- NUp Features-->
                    <!-- NUpChoice -->
                    <feature resource_id="1100" caption_id="10021">
                        NUpChoice
                        <current_option>OneUp</current_option>
                        <option resource_id="1101">
                            OneUp
                        </option>
                        <option resource_id="1102">
                            TwoUp
                            <constraint>NUpChoice_FitToOtherSizeChoice_PrintActualSize</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1103">
                            FourUp
                            <constraint>NUpChoice_FitToOtherSizeChoice_PrintActualSize</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>PrintBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1104">
                            SixUp
                            <constraint>NUpChoice_FitToOtherSizeChoice_PrintActualSize</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>PrintBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1105">
                            NineUp
                            <constraint>NUpChoice_FitToOtherSizeChoice_PrintActualSize</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>PrintBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1106">
                            SixteenUp
                            <constraint>NUpChoice_FitToOtherSizeChoice_PrintActualSize</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>PrintBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                    </feature>
                    <!-- BookletPrintingChoice -->
                    <feature resource_id="1120" caption_id="10023">
                        BookletPrintingChoice
                        <current_option>OFF</current_option>
                        <option resource_id="14">
                            OFF
                        </option>
                        <option resource_id="1121">
                            LeftEdge
                            <constraint>BookletPrintingChoice_Duplex</constraint>
                            <constraint>BookletPrintingChoice_FitToOtherSizeChoice</constraint>
                            <constraint>BookletPrintingChoice_ScaleChoice</constraint>
                            <constraint>BookletPrintingChoice_PaperSize</constraint>
                            <constraint>BookletPrintingChoice_BookletTargetSize_Set</constraint>
                            <constraint>BookletPrintingChoice_OutputBin_Stacker-Stapled</constraint>
                        </option>
                        <option resource_id="1122">
                            RightEdge
                            <constraint>BookletPrintingChoice_Duplex</constraint>
                            <constraint>BookletPrintingChoice_FitToOtherSizeChoice</constraint>
                            <constraint>BookletPrintingChoice_PaperSize</constraint>
                            <constraint>BookletPrintingChoice_ScaleChoice</constraint>
                            <constraint>BookletPrintingChoice_BookletTargetSize_Set</constraint>
                            <constraint>BookletPrintingChoice_OutputBin_Stacker-Stapled</constraint>
                        </option>
                    </feature>
                    <!-- BookletTargetSize -->
                    <feature resource_id="1124" caption_id="10067">
                        BookletTargetSize
                        <current_option>Letter</current_option>
                        <option resource_id="209">
                            LETTER
                            <constraint>BookletTargetSize_Letter_PaperSize</constraint>
                        </option>
                        <option resource_id="213">
                            LEGAL
                            <constraint>BookletTargetSize_Legal_PaperSize</constraint>
                        </option>
                        <option resource_id="217" editable="TRUE">
                            A4
                            <constraint>BookletTargetSize_A4_PaperSize</constraint>
                        </option>
                    </feature>
                    <!-- EconoMode -->
                    <feature resource_id="782" caption_id="10020">
                        EconoMode
                        <current_option>FALSE</current_option>
                        <option resource_id="10">
                            TRUE
                        </option>
                        <option resource_id="9">
                            FALSE
                        </option>
                    </feature>
                    <!-- TTAsBitmapSetting-->
                    <feature resource_id="1170" caption_id="10044">
                        TTAsBitmapSetting
                        <current_option>TTModeOutline</current_option>
                        <option resource_id="9">
                            TTModeOutline
                        </option>
                        <option resource_id="10">
                            TTModeBitmap
                        </option>
                    </feature>
                    <!-- TextAsBlack-->
                    <feature resource_id="901" caption_id="10043">
                        TextAsBlack
                        <current_option>FALSE</current_option>
                        <option resource_id="9">
                            FALSE
                        </option>
                        <option resource_id="10">
                            TRUE
                        </option>
                    </feature>
                    <!-- FitToOtherSizeChoice -->
                    <feature resource_id="1182" caption_id="10025">
                        FitToOtherSizeChoice
                        <current_option>PrintActualSize</current_option>
                        <option resource_id="9">
                            PrintActualSize
                        </option>
                        <option resource_id="10">
                            FitToOtherSize
                            <constraint>FitToOtherSizeChoice_FitToOtherSize</constraint>
                            <!-- TargetSizeChoice-->
                            <feature resource_id="1185" caption_id="10012">
                                TargetSizeChoice
                                <current_option>LETTER</current_option>
                                <option resource_id="209">
                                    LETTER
                                    <constraint>PaperSize_LETTER_InputBin</constraint>
                                </option>
                                <option resource_id="213">
                                    LEGAL
                                    <constraint>PaperSize_LEGAL_InputBin</constraint>
                                </option>
                                <option resource_id="215">
                                    EXECUTIVE
                                    <constraint>PaperSize_EXECUTIVE_InputBin</constraint>
                                    <constraint>PaperSize_EXECUTIVE_OutputBin</constraint>
                                </option>
                                <option resource_id="217">
                                    A4
                                    <constraint>PaperSize_A4_InputBin</constraint>
                                </option>
                                <option resource_id="219">
                                    A5
                                    <constraint>PaperSize_A5_InputBin</constraint>
                                    <constraint>PaperSize_A5_OutputBin</constraint>
                                </option>
                                <option resource_id="228">
                                    ENV_10
                                    <constraint>PaperSize_ENV_InputBin</constraint>
                                    <constraint>PaperSize_ENV_Duplex_ABS</constraint>
                                    <constraint>PaperSize_ENV_OutputBin</constraint>
                                </option>
                                <option resource_id="236">
                                    ENV_C5
                                    <constraint>PaperSize_ENV_InputBin</constraint>
                                    <constraint>PaperSize_ENV_Duplex_ABS</constraint>
                                    <constraint>PaperSize_ENV_OutputBin</constraint>
                                </option>
                                <option resource_id="242">
                                    ENV_B5
                                    <constraint>PaperSize_ENV_InputBin</constraint>
                                    <constraint>PaperSize_ENV_Duplex_ABS</constraint>
                                    <constraint>PaperSize_ENV_OutputBin</constraint>
                                </option>
                                <option resource_id="235">
                                    ENV_DL
                                    <constraint>PaperSize_ENV_InputBin</constraint>
                                    <constraint>PaperSize_ENV_Duplex_ABS</constraint>
                                    <constraint>PaperSize_ENV_OutputBin</constraint>
                                </option>
                                <option resource_id="245">
                                    ENV_MONARCH
                                    <constraint>PaperSize_ENV_InputBin</constraint>
                                    <constraint>PaperSize_ENV_Duplex_ABS</constraint>
                                    <constraint>PaperSize_ENV_OutputBin</constraint>
                                </option>
                                <option resource_id="202">
                                    B5
                                    <constraint>PaperSize_B5_InputBin</constraint>
                                    <!--<constraint>PaperSize_B5_Duplex</constraint>-->
                                    <constraint>PaperSize_B5_OutputBin</constraint>
                                </option>
                                <option resource_id="221">
                                    B5_JIS
                                    <constraint>PaperSize_B5_JIS_InputBin</constraint>
                                    <!--<constraint>PaperSize_B5_JIS_Duplex</constraint>-->
                                    <constraint>PaperSize_B5_JIS_OutputBin</constraint>
                                </option>
                                <option resource_id="274">
                                    DBL_JAPANESE_POSTCARD
                                    <constraint>PaperSize_DBL_JAPANESE_POSTCARD_InputBin</constraint>
                                    <constraint>PaperSize_DBL_JAPANESE_POSTCARD_Duplex_ABS</constraint>
                                    <constraint>PaperSize_DBL_JAPANESE_POSTCARD_OutputBin</constraint>
                                </option>
                                <option resource_id="327">
                                    EXECUTIVE_JIS
                                    <constraint>PaperSize_EXECUTIVE_JIS_InputBin</constraint>
                                    <!--<constraint>PaperSize_EXECUTIVE_JIS_Duplex</constraint>-->
                                    <constraint>PaperSize_EXECUTIVE_JIS_OutputBin</constraint>
                                </option>
                                <option resource_id="208">
                                    16K
                                    <constraint>PaperSize_16K_InputBin</constraint>
                                    <!--<constraint>PaperSize_16K_Duplex</constraint>-->
                                    <constraint>PaperSize_16K_OutputBin</constraint>
                                </option>
                            </feature>
                        </option>
                    </feature>
                    <!-- ScalePageChoice -->
                    <feature resource_id="1183" caption_id="10026">
                        ScalePageChoice
                        <current_option>ScaleToFit</current_option>
                        <option resource_id="10">
                            ScaleToFit
                            <constraint>ScalePageChoice_ScaleToFit</constraint>
                        </option>
                        <option resource_id="9">
                            FitWithoutScaling
                        </option>
                    </feature>
                    <!-- ScaleChoice -->
                    <feature resource_id="1184" caption_id="10027" range_low="25" range_hi="400">
                        ScaleChoice
                        <constraint>ScaleChoice_100</constraint>
                        <current_option>100</current_option>
                    </feature>
                    <!-- Watermarks -->
                    <feature resource_id="2000" caption_id="10028">
                        Watermarks
                        <current_option>None</current_option>
                        <option resource_id="8">
                            None
                        </option>
                        <option resource_id="2002">
                            Confidential
                            <feature resource_id="2005" caption_id="10032">
                                WMFont
                                <current_option>Arial</current_option>
                                <option>
                                    Times New Roman
                                </option>
                                <option>
                                    Courier New
                                </option>
                                <option>
                                    Arial
                                </option>
                            </feature>
                            <feature resource_id="2007" caption_id="10034">
                                WMShadeLevel
                                <current_option>VeryLight</current_option>
                                <option resource_id="2008">
                                    Lightest
                                </option>
                                <option resource_id="2009">
                                    VeryLight
                                </option>
                                <option resource_id="2010">
                                    Light
                                </option>
                                <option resource_id="2011">
                                    MediumLight
                                </option>
                                <option resource_id="2012">
                                    Medium
                                </option>
                                <option resource_id="2013">
                                    MediumDark
                                </option>
                                <option resource_id="2014">
                                    Dark
                                </option>
                                <option resource_id="2015">
                                    VeryDark
                                </option>
                                <option resource_id="2016">
                                    Darkest
                                </option>
                            </feature>
                            <feature resource_id="2017" caption_id="10034">
                                WMColor
                                <current_option>Gray</current_option>
                                <option resource_id="2018">
                                    Gray
                                </option>
                            </feature>
                            <feature resource_id="2004" caption_id="10029">
                                WMFirstPageOnly
                                <current_option>AllPages</current_option>
                                <option resource_id="9">
                                    AllPages
                                </option>
                                <!--<option resource_id="">
                                    NoPages
                                </option> -->
                                <option resource_id="10">
                                    FirstPageOnly
                                </option>
                            </feature>
                            <feature resource_id="2026" caption_id="10036">
                                WMFontStyle
                                <current_option>Regular</current_option>
                                <option resource_id="2027">
                                    Regular
                                </option>
                                <option resource_id="2028">
                                    Bold
                                </option>
                                <option resource_id="2029">
                                    Italic
                                </option>
                                <option resource_id="2030">
                                    BoldItalic
                                </option>
                                <!-- Taken out since the Mombi driver does not
                                     support them.  4/18/02

                                <option resource_id="2031">
                                    Underline
                                </option>
                                <option resource_id="2032">
                                    Strikeout
                                </option>
                                -->
                            </feature>
                            <feature resource_id="2033" caption_id="10031">
                                WMFontEscapement
                                <current_option>Diagonal</current_option>
                                <option resource_id="3035">
                                    Diagonal
                                </option>
                                <option resource_id="2034">
                                    Horizontal
                                </option>
                                <option resource_id="15">
                                    Custom
                                    <feature range_low="0" range_hi="360" resource_id="2033" caption_id="10031">
                                        WMCustomAngle
                                        <current_option>52</current_option>
                                    </feature>
                                </option>
                            </feature>
                        </option>
                        <option resource_id="2001">
                            Draft
                            <feature resource_id="2005" caption_id="10032">
                                WMFont
                                <current_option>Arial</current_option>
                                <option>
                                    Times New Roman
                                </option>
                                <option>
                                    Courier New
                                </option>
                                <option>
                                    Arial
                                </option>
                            </feature>
                            <feature resource_id="2007" caption_id="10034">
                                WMShadeLevel
                                <current_option>VeryLight</current_option>
                                <option resource_id="2008">
                                    Lightest
                                </option>
                                <option resource_id="2009">
                                    VeryLight
                                </option>
                                <option resource_id="2010">
                                    Light
                                </option>
                                <option resource_id="2011">
                                    MediumLight
                                </option>
                                <option resource_id="2012">
                                    Medium
                                </option>
                                <option resource_id="2013">
                                    MediumDark
                                </option>
                                <option resource_id="2014">
                                    Dark
                                </option>
                                <option resource_id="2015">
                                    VeryDark
                                </option>
                                <option resource_id="2016">
                                    Darkest
                                </option>
                            </feature>
                            <feature resource_id="2017" caption_id="10034">
                                WMColor
                                <current_option>Gray</current_option>
                                <option resource_id="2018">
                                    Gray
                                </option>
                            </feature>
                            <feature resource_id="2004" caption_id="10029">
                                WMFirstPageOnly
                                <current_option>AllPages</current_option>
                                <option resource_id="9">
                                    AllPages
                                </option>
                                <!--<option resource_id="">
                                    NoPages
                                </option> -->
                                <option resource_id="10">
                                    FirstPageOnly
                                </option>
                            </feature>
                            <feature resource_id="2026" caption_id="10036">
                                WMFontStyle
                                <current_option>Regular</current_option>
                                <option resource_id="2027">
                                    Regular
                                </option>
                                <option resource_id="2028">
                                    Bold
                                </option>
                                <option resource_id="2029">
                                    Italic
                                </option>
                                <option resource_id="2030">
                                    BoldItalic
                                </option>
                                <!-- Taken out since the Mombi driver does not
                                     support them.  4/18/02

                                <option resource_id="2031">
                                    Underline
                                </option>
                                <option resource_id="2032">
                                    Strikeout
                                </option>
                                -->
                            </feature>
                            <feature resource_id="2033" caption_id="10031">
                                WMFontEscapement
                                <current_option>Diagonal</current_option>
                                <option resource_id="3035">
                                    Diagonal
                                </option>
                                <option resource_id="2034">
                                    Horizontal
                                </option>
                                <option resource_id="15">
                                    Custom
                                    <feature range_low="0" range_hi="360" resource_id="2033" caption_id="10031">
                                        WMCustomAngle
                                        <current_option>52</current_option>
                                    </feature>
                                </option>
                            </feature>
                        </option>
                        <option resource_id="2003">
                            Sample
                            <feature resource_id="2005" caption_id="10032">
                                WMFont
                                <current_option>Arial</current_option>
                                <option>
                                    Times New Roman
                                </option>
                                <option>
                                    Courier New
                                </option>
                                <option>
                                    Arial
                                </option>
                            </feature>
                            <feature resource_id="2007" caption_id="10034">
                                WMShadeLevel
                                <current_option>VeryLight</current_option>
                                <option resource_id="2008">
                                    Lightest
                                </option>
                                <option resource_id="2009">
                                    VeryLight
                                </option>
                                <option resource_id="2010">
                                    Light
                                </option>
                                <option resource_id="2011">
                                    MediumLight
                                </option>
                                <option resource_id="2012">
                                    Medium
                                </option>
                                <option resource_id="2013">
                                    MediumDark
                                </option>
                                <option resource_id="2014">
                                    Dark
                                </option>
                                <option resource_id="2015">
                                    VeryDark
                                </option>
                                <option resource_id="2016">
                                    Darkest
                                </option>
                            </feature>
                            <feature resource_id="2017" caption_id="10034">
                                WMColor
                                <current_option>Gray</current_option>
                                <option resource_id="2018">
                                    Gray
                                </option>
                            </feature>
                            <feature resource_id="2004" caption_id="10029">
                                WMFirstPageOnly
                                <current_option>AllPages</current_option>
                                <option resource_id="9">
                                    AllPages
                                </option>
                                <!--<option resource_id="">
                                    NoPages
                                </option> -->
                                <option resource_id="10">
                                    FirstPageOnly
                                </option>
                            </feature>
                            <feature resource_id="2026" caption_id="10036">
                                WMFontStyle
                                <current_option>Regular</current_option>
                                <option resource_id="2027">
                                    Regular
                                </option>
                                <option resource_id="2028">
                                    Bold
                                </option>
                                <option resource_id="2029">
                                    Italic
                                </option>
                                <option resource_id="2030">
                                    BoldItalic
                                </option>
                                <!-- Taken out since the Mombi driver does not
                                     support them.  4/18/02

                                <option resource_id="2031">
                                    Underline
                                </option>
                                <option resource_id="2032">
                                    Strikeout
                                </option>
                                -->
                            </feature>
                            <feature resource_id="2033" caption_id="10031">
                                WMFontEscapement
                                <current_option>Diagonal</current_option>
                                <option resource_id="3035">
                                    Diagonal
                                </option>
                                <option resource_id="2034">
                                    Horizontal
                                </option>
                                <option resource_id="15">
                                    Custom
                                    <feature range_low="0" range_hi="360" resource_id="2033" caption_id="10031">
                                        WMCustomAngle
                                        <current_option>52</current_option>
                                    </feature>
                                </option>
                            </feature>
                        </option>
                    </feature>
                    <!-- Dummy Staple _ OutputBin feature to allow constraints to
                    work properly.  It is NOT editable or used by drivers!!! -->
                    <feature resource_id="450" editable="FALSE">
                        StaplerChoice_Dummy
                        <current_option>FALSE</current_option>
                        <option resource_id="451">
                            TRUE
                        </option>
                        <option resource_id="451">
                            FALSE
                        </option>
                    </feature>
                    <!-- Copies -->
                    <feature resource_id="1021" caption_id="10037" range_low="1" range_hi="9999">
                        Copies
                        <current_option>1</current_option>
                    </feature>
                    <!-- Halftone (UNIDRV)-->
                    <feature resource_id="903" caption_id="10038">
                        Halftone
                        <current_option>HT_PATSIZE_AUTO</current_option>
                        <option resource_id="573">
                            HT_PATSIZE_AUTO
                        </option>
                        <option resource_id="904">
                            HT_PATSIZE_SUPERCELL_M
                        </option>
                        <option resource_id="905">
                            HT_PATSIZE_6x6_M
                        </option>
                        <option resource_id="906">
                            HT_PATSIZE_8x8_M
                        </option>
                    </feature>
                    <!-- LanguageLevel (PSCRIPT) -->
                    <feature resource_id="5001" caption_id="10064">
                        LanguageLevel
                        <current_option>3</current_option>
                        <option>
                            1
                        </option>
                        <option>
                            2
                        </option>
                        <option>
                            3
                        </option>
                    </feature>
                    <!-- NegativePrint (PSCRIPT)-->
                    <feature resource_id="5005" caption_id="10066">
                        NegativePrint
                        <current_option>FALSE</current_option>
                        <option resource_id="9">
                            FALSE
                        </option>
                        <option resource_id="10">
                            TRUE
                        </option>
                    </feature>
                    <!-- MirrorPrint (PSCRIPT)-->
                    <feature resource_id="5006" caption_id="10065">
                        MirrorPrint
                        <current_option>FALSE</current_option>
                        <option resource_id="9">
                            FALSE
                        </option>
                        <option resource_id="10">
                            TRUE
                        </option>
                    </feature>
                </printing>
                <custom/>
                <!-- CONSTRAINT DEFINITIONS -->
                <constraints>
                    <!-- PaperSize Constraints -->
                    <!-- PaperSize _ InputBin Constraints: -->
                    <constraint>
                        PaperSize_LETTER_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_LEGAL_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_EXECUTIVE_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_A5_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_A4_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_B5_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_B5_JIS_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                            <item>printing/InputBin == Tray3_500</item>
                            <item>printing/InputBin == Tray4_500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_DBL_JAPANESE_POSTCARD_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_EXECUTIVE_JIS_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_16K_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        PaperSize_BookletPrintingChoice_Set
                        <requires>
                            <item>printing/BookletPrintingChoice == LeftEdge</item>
                            <item force="TRUE">printing/BookletPrintingChoice = OFF</item>
                        </requires>
                        <requires>
                            <item>printing/BookletPrintingChoice == RightEdge</item>
                            <item force="TRUE">printing/BookletPrintingChoice = OFF</item>
                        </requires>
                        <requires>
                            <item>printing/BookletPrintingChoice == OFF</item>
                        </requires>
                    </constraint>
                    <!-- PaperSize _ Duplex Constraints: -->
                    <constraint>
                        PaperSize_ENV_Duplex_ABS
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_Duplex
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <!--<constraint>
                        PaperSize_B5_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_B5_JIS_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_EXECUTIVE_JIS_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>-->
                    <constraint>
                        PaperSize_DBL_JAPANESE_POSTCARD_Duplex
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_DBL_JAPANESE_POSTCARD_Duplex_ABS
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <!--<constraint>
                        PaperSize_16K_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>-->
                    <!-- PaperSize _ OutputBin Constraints -->
                    <constraint>
                        PaperSize_EXECUTIVE_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_A5_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                            <item>printing/OutputBin == Stacker</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_B5_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_B5_JIS_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_EXECUTIVE_JIS_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_DBL_JAPANESE_POSTCARD_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_16K_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <!-- InputBin Constraints -->
                    <!-- InputBin _ PaperSize Constraints -->
                    <!-- Covers InputBin -->
                    <constraint>
                        InputBin_Tray2_Size
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray3_500
                        <forbids>
                            <item>physical/OptionalPaperSources == None</item>
                            <item>physical/OptionalPaperSources == Q2444</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray3_500_Size
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray3_1500
                        <forbids>
                            <item>physical/OptionalPaperSources == None</item>
                            <item>physical/OptionalPaperSources == Q2440</item>
                            <item>physical/OptionalPaperSources == Q2440_Q2440</item>
                            <item>physical/OptionalPaperSources == Q2440_Q2444</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray3_1500_Size
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == EXECUTIVE</item>
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == B5</item>
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/PaperSize == 16K</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray4_500
                        <forbids>
                            <item>physical/OptionalPaperSources == None</item>
                            <item>physical/OptionalPaperSources == Q2440</item>
                            <item>physical/OptionalPaperSources == Q2444</item>
                            <item>physical/OptionalPaperSources == Q2440_Q2444</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray4_500_Size
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray4_1500
                        <forbids>
                            <item>physical/OptionalPaperSources == None</item>
                            <item>physical/OptionalPaperSources == Q2440</item>
                            <item>physical/OptionalPaperSources == Q2444</item>
                            <item>physical/OptionalPaperSources == Q2440_Q2440</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray4_1500_Size
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == EXECUTIVE</item>
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == B5</item>
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/PaperSize == 16K</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_EnvFeed_Size
                        <forbids>
                            <item>printing/PaperSize == LETTER</item>
                            <item>printing/PaperSize == LEGAL</item>
                            <item>printing/PaperSize == EXECUTIVE</item>
                            <item>printing/PaperSize == A4</item>
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == B5</item>
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/PaperSize == 16K</item>
                        </forbids>
                    </constraint>
                    <!-- InputBin _ MediaType Constraints -->
                    <!-- MediaType _ InputBin Constraints -->
                    <constraint>
                        MediaType_TRANSPARENCY_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_LABELS_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <!-- MediaType _ Duplex Constraints -->
                    <constraint>
                        MediaType_CARDSTOCK_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <!-- <constraint>
                        MediaType_HEAVY_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint> -->
                    <constraint>
                        MediaType_LABELS_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_TRANSPARENCY_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_ENVELOPE_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <!-- MediaType _ OutPutBin Constraints-->
                    <constraint>
                        MediaType_ENVELOPE_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker</item>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_LABELS_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_TRANSPARENCY_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <!--MediaType/StackerStapler constraint-->
                    <constraint>
                        MediaType_StackerStapler
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <!-- Duplexing Constraints -->
                    <!-- Duplex MediaType Constraints -->
                    <constraint>
                        Duplex_MediaType
                        <forbids>
                            <item>printing/MediaType == CARDSTOCK</item>
                            <item>printing/MediaType == LABELS</item>
                            <item>printing/MediaType == TRANSPARENCY</item>
                            <item>printing/MediaType == ENVELOPE</item>
                        </forbids>
                    </constraint>
                    <!-- Duplexing Constraints -->
                    <!-- Duplex _ PaperSize Constraints -->
                    <constraint>
                        Duplex_PaperSize
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <!--<item>printing/PaperSize == B5</item>
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>-->
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                            <!--<item>printing/PaperSize == 16K</item>-->
                        </forbids>
                    </constraint>
                    <constraint>
                        Duplex_PaperSize_ABS
                        <forbids>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_10</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_B5</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_C5</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_DL</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_MONARCH</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == DBL_JAPANESE_POSTCARD</item>
                        </forbids>
                    </constraint>
                    <!-- Duplex Hardware Constraints -->
                    <constraint>
                        Duplex_DuplexUnit
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                        </requires>
                    </constraint>
                    <constraint>
                        DuplexUnit_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <!-- Duplex BookletPrinting Constraints -->
                    <constraint>
                        Duplex_OFF_BookletPrintingChoice
                        <requires>
                            <item>printing/BookletPrintingChoice == OFF</item>
                        </requires>
                    </constraint>
                    <!-- OutputBin Constraints -->
                    <!-- OutputBin Hardware Constraints -->
                    <constraint>
                        OutputBin_Stacker
                        <requires>
                            <item>physical/AccessoryOutputBins == Q2442</item>
                        </requires>
                        <requires>
                            <item>physical/AccessoryOutputBins == Q2443</item>
                        </requires>
                    </constraint>
                    <constraint>
                        OutputBin_Stacker_Stapled
                        <requires>
                            <item>physical/AccessoryOutputBins == Q2443</item>
                        </requires>
                    </constraint>
                    <!-- OutputBin _ PaperSize Constraints -->
                    <constraint>
                        OutputBin_Stacker_PaperSize
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        OutputBin_Stacker_Stapled_PaperSize
                        <forbids>
                            <item>printing/PaperSize == EXECUTIVE</item>
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == B5</item>
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/PaperSize == 16K</item>
                        </forbids>
                    </constraint>
                    <!-- OutputBin _ MediaType Constraints -->
                    <constraint>
                        OutputBin_Stacker_MediaType
                        <forbids>
                            <item>printing/MediaType == ENVELOPE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        OutputBin_Stacker_Stapled_MediaType
                        <forbids>
                            <item>printing/MediaType == ENVELOPE</item>
                            <item>printing/MediaType == LABELS</item>
                            <item>printing/MediaType == TRANSPARENCY</item>
                            <item>printing/MediaType == CARDSTOCK</item>
                        </forbids>
                    </constraint>
                    <!-- OutputBin and BookletPrinting constraint-->
                    <constraint OnExportOnly="TRUE">
                        OutputBin_Stacker_Stapled_BookletPrintingChoice
                        <requires>
                            <item>printing/BookletPrintingChoice == OFF</item>
                        </requires>
                    </constraint>
                    <!-- OutputBin _ StaplerChoice Constraints -->
                    <constraint OnExportOnly="TRUE">
                        OutputBin_Stacker_Stapled_StaplerChoice
                        <requires>
                            <item force="TRUE">printing/StaplerChoice == TRUE</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OutputBin_Stacker_StaplerChoice
                        <requires>
                            <item force="TRUE">printing/StaplerChoice == FALSE</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OutputBin_Top_StaplerChoice
                        <requires>
                            <item force="TRUE">printing/StaplerChoice == FALSE</item>
                        </requires>
                    </constraint>
                    <!-- OutputBin _ StaplerChoice_Dummy Constraints -->
                    <!-- Sets temorary feature to allow constraints to work for -->
                    <!-- OutputBin and StaplerChoice in both directions -->
                    <constraint OnExportOnly="TRUE">
                        OutputBin_Stacker_Stapled_StaplerChoice_Dummy
                        <requires>
                            <item force="TRUE">printing/StaplerChoice_Dummy == TRUE</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OutputBin_Stacker_StaplerChoice_Dummy
                        <requires>
                            <item force="TRUE">printing/StaplerChoice_Dummy == FALSE</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OutputBin_Top_StaplerChoice_Dummy
                        <requires>
                            <item force="TRUE">printing/StaplerChoice_Dummy == FALSE</item>
                        </requires>
                    </constraint>
                    <!-- StaplerChoice _ OutputBin Constraints -->
                    <constraint>
                        StaplerChoice_TRUE_StaplerChoice_Dummy
                        <requires>
                            <item>printing/StaplerChoice_Dummy == TRUE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        StaplerChoice_FALSE_StaplerChoice_Dummy
                        <forbids>
                            <item>printing/StaplerChoice_Dummy == TRUE</item>
                        </forbids>
                    </constraint>
                    <!-- Scaling Constraints -->
                    <constraint>
                        FitToOtherSizeChoice_FitToOtherSize
                        <requires>
                            <item>printing/ScaleChoice == 100</item>
                            <item>printing/NUpChoice == OneUp</item>
                        </requires>
                    </constraint>
                    <constraint>
                        ScalePageChoice_ScaleToFit
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        ScaleChoice_100
                        <requires>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                            <item>printing/ScaleChoice (g) 100</item>
                            <item>printing/ScaleChoice (l) 100</item>
                            <item>printing/BookletPrintingChoice == OFF</item>
                        </requires>
                    </constraint>
                    <!-- JobRetention Hardware Constraints -->
                    <constraint>
                        JobRetention_Enabled_Hardware
                        <requires>
                            <item>physical/Memory (ge) 32</item>
                        </requires>
                        <requires>
                            <item>physical/PrinterHardDisk == Installed</item>
                        </requires>
                    </constraint>
                    <!-- DeviceIsMopier Constraints -->
                    <constraint>
                        DeviceIsMopier_TRUE_Memory_64
                        <requires>    
                            <item>physical/Memory (ge) 64</item>
                        </requires>
                    </constraint>
                    <!-- Envelope Feeder Constraints -->
                    <constraint>
                        InputBin_EnvFeed_Hardware
                        <requires>
                            <item>physical/EnvFeeder == Installed</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Set_InputBin_PrinterSelect
                        <requires>
                            <item force="TRUE">printing/InputBin == PrinterSelect</item>
                        </requires>
                    </constraint>
                    <!-- Booklet Printing Constraints -->
                    <constraint>
                        BookletPrintingChoice_Duplex
                        <requires>
                            <item>printing/Duplex == TRUE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        BookletPrintingChoice_FitToOtherSizeChoice
                        <requires>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </requires>
                    </constraint>
                    <constraint>
                        BookletPrintingChoice_ScaleChoice
                        <requires>
                            <item>printing/ScaleChoice == 100</item>
                        </requires>
                    </constraint>
                    <constraint>
                        BookletPrintingChoice_PaperSize
                        <forbids>
                            <item>printing/PaperSize == EXECUTIVE</item>
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == B5</item>
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>
                            <item>printing/PaperSize == 16K</item>
                        </forbids>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        BookletPrintingChoice_BookletTargetSize_Set
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                            <item force="TRUE">printing/BookletTargetSize == LETTER</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == LEGAL</item>
                            <item force="TRUE">printing/BookletTargetSize == LEGAL</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == A4</item>
                            <item force="TRUE">printing/BookletTargetSize == A4</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        BookletPrintingChoice_OutputBin_Stacker-Stapled
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        BookletTargetSize_Letter_PaperSize
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        BookletTargetSize_Legal_PaperSize
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == LEGAL</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        BookletTargetSize_A4_PaperSize
                        <requires>
                            <item>printing/PaperSize == A4</item>
                        </requires>
                    </constraint>
                    <!-- Bundles / OPS / Tray Constraints and Macros -->
                    <constraint OnExportOnly="TRUE">
                        Bundle_Tray3_Default
                        <!-- 500 Sheet Tray Bundles - TN / DTN -->
                        <!-- Remove the 500 Sheet Tray and leave cfg in valid state -->
                        <requires>
                            <item>physical/OptionalPaperSources == Q2440</item>
                            <item force="TRUE">physical/OptionalPaperSources == None</item>
                            <item force="TRUE">physical/Tray3 == NotInstalled</item>
                        </requires>
                        <requires>
                            <item>physical/OptionalPaperSources == Q2440_Q2440</item>
                            <item force="TRUE">physical/OptionalPaperSources == Q2440</item>
                            <item force="TRUE">physical/Tray3 == Tray3_500</item>
                            <item force="TRUE">physical/Tray4 == NotInstalled</item>
                        </requires>
                        <requires>
                            <item>physical/OptionalPaperSources == Q2444</item>
                            <item force="TRUE">physical/OptionalPaperSources == Q2444</item>
                            <item force="TRUE">physical/Tray3 == NotInstalled</item>
                            <item force="TRUE">physical/Tray4 == NotInstalled</item>
                        </requires>
                        <requires>
                            <item>
                                physical/OptionalPaperSources == None
                            </item>
                            <item force="TRUE">physical/OptionalPaperSources == None</item>
                            <item force="TRUE">physical/Tray3 == NotInstalled</item>
                        </requires>
                        <requires>
                            <item>physical/OptionalPaperSources == Q2440_Q2444</item>
                            <item force="TRUE">physical/OptionalPaperSources == None</item>
                            <item force="TRUE">physical/Tray3 == NotInstalled</item>
                            <item force="TRUE">physical/Tray4 == NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_Memory_Default
                        <requires>
                            <item force="TRUE">physical/Memory == 48</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_Memory_64_Set
                        <requires>
                            <item force="TRUE">physical/Memory == 64</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_Duplex_Unit_Default
                        <requires>
                            <item force="TRUE">physical/DuplexUnit == NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_OPS_TwoTrayOptions_Forbid
                        <forbids>
                            <item force="TRUE">physical/OptionalPaperSources == Q2440_Q2440</item>
                            <item force="TRUE">physical/OptionalPaperSources == Q2440_Q2444</item>
                        </forbids>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_DuplexUnit_Set
                        <requires>
                            <item force="TRUE">physical/DuplexUnit == Installed</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_Stacker_Set
                        <requires>
                            <item force="TRUE">physical/AccessoryOutputBins == Q2442</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_Stapler_Stacker_Set
                        <requires>
                            <item force="TRUE">physical/AccessoryOutputBins == Q2443</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_AccessoryOutputBins_Default
                        <requires>
                            <item force="TRUE">physical/AccessoryOutputBins == NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_OPS_Tray_500_Set
                        <requires>
                            <item force="TRUE">physical/OptionalPaperSources == Q2440</item>
                        </requires>
                    </constraint>
                    <!-- When an OPS is selected, set the correct Tray for
                    Mombi drivers -->
                    <constraint OnExportOnly="TRUE">
                        OPS_Tray_500_Set
                        <requires>
                            <item force="TRUE">physical/Tray3 == Tray3_500</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OPS_Tray_1500_Set
                        <requires>
                            <item force="TRUE">physical/Tray3 == Tray3_1500</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OPS_Tray3_500_Set
                        <requires>
                            <item force="TRUE">physical/Tray3 == Tray3_500</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OPS_Tray4_500_Set
                        <requires>
                            <item force="TRUE">physical/Tray4 == Tray4_500</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OPS_Tray4_1500_Set
                        <requires>
                            <item force="TRUE">physical/Tray4 == Tray4_1500</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OPS_None_Set
                        <requires>
                            <item force="TRUE">physical/Tray3 == NotInstalled</item>
                            <item force="TRUE">physical/Tray4 == NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OPS_Tray_1500_Bundle_Forbid
                        <forbids>
                            <item force="TRUE">physical/Bundles == HP LaserJet 4200TN</item>
                            <item force="TRUE">physical/Bundles == HP LaserJet 4200DTN</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        OPS_None_InputBin_Forbid
                        <forbids>
                            <item>printing/InputBin == Tray3_500</item>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        OPS_Tray_500_InputBin_Forbid
                        <forbids>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        OPS_Tray_1500_InputBin_Forbid
                        <forbids>
                            <item>printing/InputBin == Tray3_500</item>
                            <item>printing/InputBin == Tray4_500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        OPS_Tray_2X500_InputBin_Forbid
                        <forbids>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        OPS_Tray_500_1500_InputBin_Forbid
                        <forbids>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_500</item>
                        </forbids>
                    </constraint>
                    <!--NUpChoice - FitToOtherSizeChoice - PrintActualSize constraint-->
                    <constraint OnExportOnly="TRUE">
                        NUpChoice_FitToOtherSizeChoice_PrintActualSize
                        <requires>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Bundle_should_not_be_Lite
                        <forbids>
                            <item>physical/Bundles == HP LaserJet 4200L </item>
                            <item>physical/Bundles == HP LaserJet 4200Ln </item>
                            <item>physical/Bundles == HP LaserJet 4200Lvn </item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Bundle_EnvelopeFeeder_NotInstalled
                        <requires>
                            <item force="TRUE">physical/EnvFeeder = NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Hide_500Stapler_Output_bin
                        <requires>
                            <item force="TRUE">
                                physical/AccessoryOutputBins[NotInstalled]~~NotInstalled
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/AccessoryOutputBins[Q2442]~~Q2442
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                physical/AccessoryOutputBins[Q2443]~~Q2443
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>
                    <constraint>
                        Show_500Stapler_Output_bin
                        <requires>
                            <item force="TRUE">
                                physical/AccessoryOutputBins[NotInstalled]~~NotInstalled
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/AccessoryOutputBins[Q2442]~~Q2442
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/AccessoryOutputBins[Q2443]~~Q2443
                                <option_attrib editable="TRUE"/>
                            </item>
                        </requires>
                    </constraint>
                    <constraint>
                        Hide_Input_Trays_For_Bundle
                        <requires>
                            <item force="TRUE">
                                physical/OptionalPaperSources[None]~~None
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/OptionalPaperSources[Q2440]~~Q2440
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/OptionalPaperSources[Q2444]~~Q2444
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                physical/OptionalPaperSources[Q2440_Q2440]~~Q2440_Q2440
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                physical/OptionalPaperSources[Q2440_Q2444]~~Q2440_Q2444
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>
                    <constraint>
                        Show_Input_Trays_For_Bundle
                        <requires>
                            <item force="TRUE">
                                physical/OptionalPaperSources[None]~~None
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/OptionalPaperSources[Q2440]~~Q2440
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/OptionalPaperSources[Q2444]~~Q2444
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/OptionalPaperSources[Q2440_Q2440]~~Q2440_Q2440
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/OptionalPaperSources[Q2440_Q2444]~~Q2440_Q2444
                                <option_attrib editable="TRUE"/>
                            </item>
                        </requires>
                    </constraint>
                    <constraint>
                        Disable_Mopier
                        <requires>
                            <item force="TRUE">physical/DeviceIsMopier == NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Enable_Mopier
                        <requires>
                            <item force="TRUE">physical/DeviceIsMopier == Installed</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Show_Memory_Options
                        <requires>
                            <item force="TRUE">
                                physical/Memory[48]~~48
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[64]~~64
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[80]~~80
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[96]~~96
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[128]~~128
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[160]~~160
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[192]~~192
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[224]~~224
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[256]~~256
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[288]~~288
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[320]~~320
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[352]~~352
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[384]~~384
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[416]~~416
                                <option_attrib editable="TRUE"/>
                            </item>
                        </requires>
                    </constraint>
                    <constraint>
                        Hide_Memory_Options
                        <requires>
                            <item force="TRUE">
                                physical/Memory[48]~~48
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[64]~~64
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[80]~~80
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[96]~~96
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[128]~~128
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[160]~~160
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[192]~~192
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[224]~~224
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[256]~~256
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[288]~~288
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[320]~~320
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[352]~~352
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[384]~~384
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                physical/Memory[416]~~416
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>
                    <constraint>
                        Show_Envelope_Feeder
                        <requires>
                            <item force="TRUE">
                                physical/EnvFeeder[NotInstalled]~~NotInstalled
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/EnvFeeder[Installed]~~Installed
                                <option_attrib editable="TRUE"/>
                            </item>
                        </requires>
                    </constraint>
                    <constraint>
                        Hide_Envelope_Feeder
                        <requires>
                            <item force="TRUE">
                                physical/EnvFeeder[NotInstalled]~~NotInstalled
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                physical/EnvFeeder[Installed]~~Installed
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>
                    <constraint>
                        Set_OutputBin_Auto
                        <requires>
                            <item force="TRUE">printing/OutputBin == Auto</item> 
                        </requires>
                    </constraint>
                    <constraint>
                        Enable_JobStorage
                        <requires>
                            <item force="TRUE">physical/JobRetention == Enabled</item>
                        </requires>
                    </constraint>
                </constraints>
            </factory>
            <export>
                <physical/>
                <printing/>
                <custom/>
            </export>
        </component>
    </software>
</device>
